SET SERVEROUTPUT ON
SET VERIFY OFF
SET FEEDBACK OFF
SET HEADING OFF
SET LINESIZE 400
SET TRIMSPOOL ON
SET PAGESIZE 0

spool pr.log
EXEC pr_qc_container_check;
spool off

SPOOL qc_file.log



SELECT qc_log
FROM
(
SELECT 'FRN|VALIDATION_RESULT|CP_IND|CP_CABLE_SYS_OPR_IND|ILEC|BEST_EFF|PURC_MW|PURC_OTHER' qc_log, 1 ord FROM DUAL UNION 
SELECT 
       (SELECT FILER_FRN FROM SPADC_FILER_ID_INFO)||'|'||
       NVL((SELECT 'PASSED' 
              FROM DUAL 
            WHERE NOT EXISTS (SELECT 1 FROM QC_CONTAINER_CHECK WHERE chk_status = 'FAILED')
              AND EXISTS (SELECT 1 FROM QC_CONTAINER_CHECK WHERE chk_type = 'IDENTIFY PROVIDER' AND chk_status = 'PASSED')
            ),'FAILED') ||'|'||
       NVL((SELECT 'Y' FROM QC_CONTAINER_CHECK WHERE chk_ques = 'IIA' AND chk_type = 'IDENTIFY PROVIDER' AND chk_status = 'PASSED'),'N') ||'|'|| -- CP
       NVL((SELECT 'Y' FROM QC_CONTAINER_CHECK WHERE chk_ques = 'IIA2' AND chk_type = 'IDENTIFY PROVIDER' AND chk_status = 'PASSED'),'N')||'|'|| -- CP cable system operator
       NVL((SELECT 'Y' FROM QC_CONTAINER_CHECK WHERE chk_ques = 'IIB' AND chk_type = 'IDENTIFY PROVIDER' AND chk_status = 'PASSED'),'N')||'|'|| -- ILEC
       'N'||'|'||  -- BEST EFFORTS
       NVL((SELECT 'Y' FROM QC_CONTAINER_CHECK WHERE chk_ques = 'IIE' AND chk_type = 'IDENTIFY PROVIDER' AND chk_status = 'PASSED'),'N') ||'|'|| -- PURCHASER - MOBILE WIRELESS
       NVL((SELECT 'Y' FROM QC_CONTAINER_CHECK WHERE chk_ques = 'IIF' AND chk_type = 'IDENTIFY PROVIDER' AND chk_status = 'PASSED'),'N'),2 -- PURCHASER - OTHER
FROM DUAL
) ORDER BY ord;
spool off;

exit;
